$(document).ready(function() {

  // Prevent enter key to submit the form
  // When scanning a code bar, the scanner usually
  // send a CR as last character. We don't want that
  // to submit the form.
  $(window).keydown(function(event) {
    if(event.keyCode == 13) {
      event.preventDefault();
      return false;
    }
  });

  // Focus to ICS id when loading the page
  $("#ics_id").focus();

  // remove 'CSE:ics_id:' prefix from ICS id
  // allow to scan a label
  $("#ics_id").keyup(function(event) {
    var value = $(this).val();
    if( value.length == 17 ) {
      $(this).val(value.replace('CSE:ics_id:', ''));
      // Change the focus to the serial number
      $("#serial_number").focus();
    }
  });

  $("#clear").click(function() {
    // clear all select fields
    $("select").val('');
  });

});
